diff -urN multipath/ChangeLog multipath-0.0.12-1/ChangeLog
--- multipath/ChangeLog	2003-12-23 01:37:10.000000000 +0100
+++ multipath-0.0.12-1/ChangeLog	2003-12-29 09:20:57.000000000 +0100
@@ -1,3 +1,6 @@
+2003-12-29 multipath-012
+	* refresh doc
+	* add the uninstall target in Makefile
 2003-12-22 multipath-010
 	* tweak the install target in Makefile
 	* stop passing fds as argument : this change enable a strict
diff -urN multipath/Makefile multipath-0.0.12-1/Makefile
--- multipath/Makefile	2003-12-23 01:37:10.000000000 +0100
+++ multipath-0.0.12-1/Makefile	2003-12-29 09:20:57.000000000 +0100
@@ -55,5 +55,9 @@
 	install -d /etc/hotplug.d/scsi/
 	install -m 755 multipath.hotplug /etc/hotplug.d/scsi/
 
+uninstall:
+	rm /etc/hotplug.d/scsi/multipath.hotplug
+	rm $(bindir)/$(EXEC)
+
 # Code dependencies
 main.o: main.c main.h sg_include.h
diff -urN multipath/README multipath-0.0.12-1/README
--- multipath/README	2003-12-15 22:57:35.000000000 +0100
+++ multipath-0.0.12-1/README	2003-12-29 09:20:57.000000000 +0100
@@ -3,6 +3,7 @@
 
 o libdevmapper : comes with device-mapper-XXXX.tar.gz
   See www.sistina.com
+  This lib has been dropped in the multipath tree
 o libsysfs : comes with sysutils
   See ftp.kernel.org/pub/linux/utils/kernel/hotplug/
 
@@ -34,8 +35,9 @@
 sysfs device enums.
 
 the wwid is retrieved by a switch fonction. Only White
-Listed HW can filled this field. For now only 
-StorageWorks HW is White Listed. (See notes)
+Listed HW can filled this field. For now every FC array 
+HW listed in kernel's devinfo.c is White Listed, assuming
+the WWID is stored is the SCSI-3 standard 0x83 EVPD page.
 
 When all_paths is filled, we coalesce the paths and store
 the result in mp array. Each mp is a struct like this :
@@ -47,25 +49,21 @@
 };
 
 When mp is filled, the device maps are fed to the kernel
-through libdevmapper. Stale paths (failed TUR) are 
-discarded.
+through libdevmapper.
 
 Notes :
 =======
 
-o make sure you have enough /dev/sg* nodes
-  (/dev/MAKEDEV if necesary)
+o On 2.4, make sure you have enough /dev/sg* nodes
+  (/dev/MAKEDEV if necesary). Same goes for /dev/sd*
 
 o path coalescing relies on a path unique id being found.
   This unique id, lacking a standard method, is vendor
   specific. A switch function (get_unique_id) is present
   and an example function is provided for storageworks
-  arrays (get_storageworks_wwid). Feel free to enrich
+  arrays (get_evpd_wwid). Feel free to enrich
   with hardware you have at hand :)
 
-o Something goes wrong with sd.o, qla2200 & dm-mod
-  refcounting : I can't unload these modules after exec.
-
 o The kernel does NOT manage properly ghosts paths
   with StorageWorks HW. Seems nobody cares after a load
   of posts to linux-scsi.
Binary files multipath/SCCS/s..indent.pro and multipath-0.0.12-1/SCCS/s..indent.pro differ
Binary files multipath/SCCS/s.AUTHOR and multipath-0.0.12-1/SCCS/s.AUTHOR differ
Binary files multipath/SCCS/s.COPYING and multipath-0.0.12-1/SCCS/s.COPYING differ
Binary files multipath/SCCS/s.ChangeLog and multipath-0.0.12-1/SCCS/s.ChangeLog differ
Binary files multipath/SCCS/s.Makefile and multipath-0.0.12-1/SCCS/s.Makefile differ
Binary files multipath/SCCS/s.README and multipath-0.0.12-1/SCCS/s.README differ
Binary files multipath/SCCS/s.VERSION and multipath-0.0.12-1/SCCS/s.VERSION differ
Binary files multipath/SCCS/s.main.c and multipath-0.0.12-1/SCCS/s.main.c differ
Binary files multipath/SCCS/s.main.h and multipath-0.0.12-1/SCCS/s.main.h differ
Binary files multipath/SCCS/s.multipath.hotplug and multipath-0.0.12-1/SCCS/s.multipath.hotplug differ
Binary files multipath/SCCS/s.sg_err.c and multipath-0.0.12-1/SCCS/s.sg_err.c differ
Binary files multipath/SCCS/s.sg_err.h and multipath-0.0.12-1/SCCS/s.sg_err.h differ
Binary files multipath/SCCS/s.sg_include.h and multipath-0.0.12-1/SCCS/s.sg_include.h differ
Binary files multipath/SCCS/s.unused.c and multipath-0.0.12-1/SCCS/s.unused.c differ
diff -urN multipath/multipath.hotplug multipath-0.0.12-1/multipath.hotplug
--- multipath/multipath.hotplug	2003-12-23 01:37:10.000000000 +0100
+++ multipath-0.0.12-1/multipath.hotplug	2003-12-29 09:20:57.000000000 +0100
@@ -1,3 +1,3 @@
 . /etc/hotplug/hotplug.functions
 sleep 1
-mesg `/root/multipath scsi $DEVPATH`
+mesg `/sbin/multipath scsi $DEVPATH`
